<template>
  <div class='app_button'>
    <button class="btn btn-outline-danger" @click="toggleModal">Delete</button>
    <modal :modal-id="modalId">
      <h4 style='margin-bottom: 60px; margin-top: 60px;'>
        Are you sure that you want to delete this meal? 
      </h4>
      <button class='btn btn-outline-secondary' @click="toggleModal">
        Back
      </button>
      <button class="btn btn-outline-danger" @click='destroyOrder'>
        Delete
      </button>
    </modal>
  </div>
</template>

<script>
export default {
    data () {
      return {
        message: '',
        modalId: `deleteMealButton-${this.meal.id}`
      }
    },
    props: ['meal'],
    methods: {
      toggleModal() {
        this.$root.$emit(`toggleModal-${this.modalId}`)
      },
      destroyOrder() {
        this.$http.delete(`api/v1/meals/${this.meal.id}`).then((response) => {
          this.$store.dispatch('destroyMeal', { id: this.meal.id} )
        }).catch((error) => {
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
        this.toggleModal()
      }
    }
  }
</script>
